# -*- coding: utf-8 -*-

####################################
#				   #
#     Rotation de 90° à droite     #
#				   #
####################################

# Importation des librairies
from PIL import Image

# Ouverture du fichier image
fichierImage = 'photo.jpg'
imageSource = Image.open(fichierImage)

# Affichage de l'image pour comparaison
imageSource.show()

# Récupération de la largeur et hauteur de l'image
largeur,hauteur = imageSource.size

# Création d'une image de même type
imageFinale = Image.new(imageSource.mode,(hauteur,largeur))

# Boucle de traitement des pixels rotation droite 90°
for x in range(largeur):
	for y in range(hauteur):
		pixel = imageSource.getpixel((x,y))
		imageFinale.putpixel((-y,x), pixel)

# Affichage de l'image finale et enregistrement
imageFinale.show()
imageFinale.save("Image finale - rotation 90 degres droite.jpg")

# Fermeture du fichier image
imageSource.close()
